Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network13.192.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
13.192.0.0
Broadcast address
13.207.255.255
First usable
13.192.0.1
Last usable
13.207.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 0DC00000 · Integer 230686720 to 231735295
Reverse DNS zones
192.13.in-addr.arpa
193.13.in-addr.arpa
194.13.in-addr.arpa
195.13.in-addr.arpa
196.13.in-addr.arpa
197.13.in-addr.arpa
198.13.in-addr.arpa
199.13.in-addr.arpa
200.13.in-addr.arpa
201.13.in-addr.arpa
202.13.in-addr.arpa
203.13.in-addr.arpa
204.13.in-addr.arpa
205.13.in-addr.arpa
206.13.in-addr.arpa
207.13.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001101.11000000.00000000.0000000013.192.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00001101.11000000.00000000.0000000013.192.0.0
Broadcast00001101.11001111.11111111.1111111113.207.255.255
Split into smaller subnets/22

13.192.0.0/12 makes 1,024 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
113.192.0.0/2213.192.0.1 to 13.192.3.25413.192.3.2551,022
213.192.4.0/2213.192.4.1 to 13.192.7.25413.192.7.2551,022
313.192.8.0/2213.192.8.1 to 13.192.11.25413.192.11.2551,022
413.192.12.0/2213.192.12.1 to 13.192.15.25413.192.15.2551,022
513.192.16.0/2213.192.16.1 to 13.192.19.25413.192.19.2551,022
613.192.20.0/2213.192.20.1 to 13.192.23.25413.192.23.2551,022
713.192.24.0/2213.192.24.1 to 13.192.27.25413.192.27.2551,022
813.192.28.0/2213.192.28.1 to 13.192.31.25413.192.31.2551,022
913.192.32.0/2213.192.32.1 to 13.192.35.25413.192.35.2551,022
1013.192.36.0/2213.192.36.1 to 13.192.39.25413.192.39.2551,022
1113.192.40.0/2213.192.40.1 to 13.192.43.25413.192.43.2551,022
1213.192.44.0/2213.192.44.1 to 13.192.47.25413.192.47.2551,022
1313.192.48.0/2213.192.48.1 to 13.192.51.25413.192.51.2551,022
1413.192.52.0/2213.192.52.1 to 13.192.55.25413.192.55.2551,022
1513.192.56.0/2213.192.56.1 to 13.192.59.25413.192.59.2551,022
1613.192.60.0/2213.192.60.1 to 13.192.63.25413.192.63.2551,022
1713.192.64.0/2213.192.64.1 to 13.192.67.25413.192.67.2551,022
1813.192.68.0/2213.192.68.1 to 13.192.71.25413.192.71.2551,022
1913.192.72.0/2213.192.72.1 to 13.192.75.25413.192.75.2551,022
2013.192.76.0/2213.192.76.1 to 13.192.79.25413.192.79.2551,022
2113.192.80.0/2213.192.80.1 to 13.192.83.25413.192.83.2551,022
2213.192.84.0/2213.192.84.1 to 13.192.87.25413.192.87.2551,022
2313.192.88.0/2213.192.88.1 to 13.192.91.25413.192.91.2551,022
2413.192.92.0/2213.192.92.1 to 13.192.95.25413.192.95.2551,022
2513.192.96.0/2213.192.96.1 to 13.192.99.25413.192.99.2551,022
2613.192.100.0/2213.192.100.1 to 13.192.103.25413.192.103.2551,022
2713.192.104.0/2213.192.104.1 to 13.192.107.25413.192.107.2551,022
2813.192.108.0/2213.192.108.1 to 13.192.111.25413.192.111.2551,022
2913.192.112.0/2213.192.112.1 to 13.192.115.25413.192.115.2551,022
3013.192.116.0/2213.192.116.1 to 13.192.119.25413.192.119.2551,022
3113.192.120.0/2213.192.120.1 to 13.192.123.25413.192.123.2551,022
3213.192.124.0/2213.192.124.1 to 13.192.127.25413.192.127.2551,022
3313.192.128.0/2213.192.128.1 to 13.192.131.25413.192.131.2551,022
3413.192.132.0/2213.192.132.1 to 13.192.135.25413.192.135.2551,022
3513.192.136.0/2213.192.136.1 to 13.192.139.25413.192.139.2551,022
3613.192.140.0/2213.192.140.1 to 13.192.143.25413.192.143.2551,022
3713.192.144.0/2213.192.144.1 to 13.192.147.25413.192.147.2551,022
3813.192.148.0/2213.192.148.1 to 13.192.151.25413.192.151.2551,022
3913.192.152.0/2213.192.152.1 to 13.192.155.25413.192.155.2551,022
4013.192.156.0/2213.192.156.1 to 13.192.159.25413.192.159.2551,022
4113.192.160.0/2213.192.160.1 to 13.192.163.25413.192.163.2551,022
4213.192.164.0/2213.192.164.1 to 13.192.167.25413.192.167.2551,022
4313.192.168.0/2213.192.168.1 to 13.192.171.25413.192.171.2551,022
4413.192.172.0/2213.192.172.1 to 13.192.175.25413.192.175.2551,022
4513.192.176.0/2213.192.176.1 to 13.192.179.25413.192.179.2551,022
4613.192.180.0/2213.192.180.1 to 13.192.183.25413.192.183.2551,022
4713.192.184.0/2213.192.184.1 to 13.192.187.25413.192.187.2551,022
4813.192.188.0/2213.192.188.1 to 13.192.191.25413.192.191.2551,022
4913.192.192.0/2213.192.192.1 to 13.192.195.25413.192.195.2551,022
5013.192.196.0/2213.192.196.1 to 13.192.199.25413.192.199.2551,022
5113.192.200.0/2213.192.200.1 to 13.192.203.25413.192.203.2551,022
5213.192.204.0/2213.192.204.1 to 13.192.207.25413.192.207.2551,022
5313.192.208.0/2213.192.208.1 to 13.192.211.25413.192.211.2551,022
5413.192.212.0/2213.192.212.1 to 13.192.215.25413.192.215.2551,022
5513.192.216.0/2213.192.216.1 to 13.192.219.25413.192.219.2551,022
5613.192.220.0/2213.192.220.1 to 13.192.223.25413.192.223.2551,022
5713.192.224.0/2213.192.224.1 to 13.192.227.25413.192.227.2551,022
5813.192.228.0/2213.192.228.1 to 13.192.231.25413.192.231.2551,022
5913.192.232.0/2213.192.232.1 to 13.192.235.25413.192.235.2551,022
6013.192.236.0/2213.192.236.1 to 13.192.239.25413.192.239.2551,022
6113.192.240.0/2213.192.240.1 to 13.192.243.25413.192.243.2551,022
6213.192.244.0/2213.192.244.1 to 13.192.247.25413.192.247.2551,022
6313.192.248.0/2213.192.248.1 to 13.192.251.25413.192.251.2551,022
6413.192.252.0/2213.192.252.1 to 13.192.255.25413.192.255.2551,022
6513.193.0.0/2213.193.0.1 to 13.193.3.25413.193.3.2551,022
6613.193.4.0/2213.193.4.1 to 13.193.7.25413.193.7.2551,022
6713.193.8.0/2213.193.8.1 to 13.193.11.25413.193.11.2551,022
6813.193.12.0/2213.193.12.1 to 13.193.15.25413.193.15.2551,022
6913.193.16.0/2213.193.16.1 to 13.193.19.25413.193.19.2551,022
7013.193.20.0/2213.193.20.1 to 13.193.23.25413.193.23.2551,022
7113.193.24.0/2213.193.24.1 to 13.193.27.25413.193.27.2551,022
7213.193.28.0/2213.193.28.1 to 13.193.31.25413.193.31.2551,022
7313.193.32.0/2213.193.32.1 to 13.193.35.25413.193.35.2551,022
7413.193.36.0/2213.193.36.1 to 13.193.39.25413.193.39.2551,022
7513.193.40.0/2213.193.40.1 to 13.193.43.25413.193.43.2551,022
7613.193.44.0/2213.193.44.1 to 13.193.47.25413.193.47.2551,022
7713.193.48.0/2213.193.48.1 to 13.193.51.25413.193.51.2551,022
7813.193.52.0/2213.193.52.1 to 13.193.55.25413.193.55.2551,022
7913.193.56.0/2213.193.56.1 to 13.193.59.25413.193.59.2551,022
8013.193.60.0/2213.193.60.1 to 13.193.63.25413.193.63.2551,022
8113.193.64.0/2213.193.64.1 to 13.193.67.25413.193.67.2551,022
8213.193.68.0/2213.193.68.1 to 13.193.71.25413.193.71.2551,022
8313.193.72.0/2213.193.72.1 to 13.193.75.25413.193.75.2551,022
8413.193.76.0/2213.193.76.1 to 13.193.79.25413.193.79.2551,022
8513.193.80.0/2213.193.80.1 to 13.193.83.25413.193.83.2551,022
8613.193.84.0/2213.193.84.1 to 13.193.87.25413.193.87.2551,022
8713.193.88.0/2213.193.88.1 to 13.193.91.25413.193.91.2551,022
8813.193.92.0/2213.193.92.1 to 13.193.95.25413.193.95.2551,022
8913.193.96.0/2213.193.96.1 to 13.193.99.25413.193.99.2551,022
9013.193.100.0/2213.193.100.1 to 13.193.103.25413.193.103.2551,022
9113.193.104.0/2213.193.104.1 to 13.193.107.25413.193.107.2551,022
9213.193.108.0/2213.193.108.1 to 13.193.111.25413.193.111.2551,022
9313.193.112.0/2213.193.112.1 to 13.193.115.25413.193.115.2551,022
9413.193.116.0/2213.193.116.1 to 13.193.119.25413.193.119.2551,022
9513.193.120.0/2213.193.120.1 to 13.193.123.25413.193.123.2551,022
9613.193.124.0/2213.193.124.1 to 13.193.127.25413.193.127.2551,022
9713.193.128.0/2213.193.128.1 to 13.193.131.25413.193.131.2551,022
9813.193.132.0/2213.193.132.1 to 13.193.135.25413.193.135.2551,022
9913.193.136.0/2213.193.136.1 to 13.193.139.25413.193.139.2551,022
10013.193.140.0/2213.193.140.1 to 13.193.143.25413.193.143.2551,022
10113.193.144.0/2213.193.144.1 to 13.193.147.25413.193.147.2551,022
10213.193.148.0/2213.193.148.1 to 13.193.151.25413.193.151.2551,022
10313.193.152.0/2213.193.152.1 to 13.193.155.25413.193.155.2551,022
10413.193.156.0/2213.193.156.1 to 13.193.159.25413.193.159.2551,022
10513.193.160.0/2213.193.160.1 to 13.193.163.25413.193.163.2551,022
10613.193.164.0/2213.193.164.1 to 13.193.167.25413.193.167.2551,022
10713.193.168.0/2213.193.168.1 to 13.193.171.25413.193.171.2551,022
10813.193.172.0/2213.193.172.1 to 13.193.175.25413.193.175.2551,022
10913.193.176.0/2213.193.176.1 to 13.193.179.25413.193.179.2551,022
11013.193.180.0/2213.193.180.1 to 13.193.183.25413.193.183.2551,022
11113.193.184.0/2213.193.184.1 to 13.193.187.25413.193.187.2551,022
11213.193.188.0/2213.193.188.1 to 13.193.191.25413.193.191.2551,022
11313.193.192.0/2213.193.192.1 to 13.193.195.25413.193.195.2551,022
11413.193.196.0/2213.193.196.1 to 13.193.199.25413.193.199.2551,022
11513.193.200.0/2213.193.200.1 to 13.193.203.25413.193.203.2551,022
11613.193.204.0/2213.193.204.1 to 13.193.207.25413.193.207.2551,022
11713.193.208.0/2213.193.208.1 to 13.193.211.25413.193.211.2551,022
11813.193.212.0/2213.193.212.1 to 13.193.215.25413.193.215.2551,022
11913.193.216.0/2213.193.216.1 to 13.193.219.25413.193.219.2551,022
12013.193.220.0/2213.193.220.1 to 13.193.223.25413.193.223.2551,022
12113.193.224.0/2213.193.224.1 to 13.193.227.25413.193.227.2551,022
12213.193.228.0/2213.193.228.1 to 13.193.231.25413.193.231.2551,022
12313.193.232.0/2213.193.232.1 to 13.193.235.25413.193.235.2551,022
12413.193.236.0/2213.193.236.1 to 13.193.239.25413.193.239.2551,022
12513.193.240.0/2213.193.240.1 to 13.193.243.25413.193.243.2551,022
12613.193.244.0/2213.193.244.1 to 13.193.247.25413.193.247.2551,022
12713.193.248.0/2213.193.248.1 to 13.193.251.25413.193.251.2551,022
12813.193.252.0/2213.193.252.1 to 13.193.255.25413.193.255.2551,022
12913.194.0.0/2213.194.0.1 to 13.194.3.25413.194.3.2551,022
13013.194.4.0/2213.194.4.1 to 13.194.7.25413.194.7.2551,022
13113.194.8.0/2213.194.8.1 to 13.194.11.25413.194.11.2551,022
13213.194.12.0/2213.194.12.1 to 13.194.15.25413.194.15.2551,022
13313.194.16.0/2213.194.16.1 to 13.194.19.25413.194.19.2551,022
13413.194.20.0/2213.194.20.1 to 13.194.23.25413.194.23.2551,022
13513.194.24.0/2213.194.24.1 to 13.194.27.25413.194.27.2551,022
13613.194.28.0/2213.194.28.1 to 13.194.31.25413.194.31.2551,022
13713.194.32.0/2213.194.32.1 to 13.194.35.25413.194.35.2551,022
13813.194.36.0/2213.194.36.1 to 13.194.39.25413.194.39.2551,022
13913.194.40.0/2213.194.40.1 to 13.194.43.25413.194.43.2551,022
14013.194.44.0/2213.194.44.1 to 13.194.47.25413.194.47.2551,022
14113.194.48.0/2213.194.48.1 to 13.194.51.25413.194.51.2551,022
14213.194.52.0/2213.194.52.1 to 13.194.55.25413.194.55.2551,022
14313.194.56.0/2213.194.56.1 to 13.194.59.25413.194.59.2551,022
14413.194.60.0/2213.194.60.1 to 13.194.63.25413.194.63.2551,022
14513.194.64.0/2213.194.64.1 to 13.194.67.25413.194.67.2551,022
14613.194.68.0/2213.194.68.1 to 13.194.71.25413.194.71.2551,022
14713.194.72.0/2213.194.72.1 to 13.194.75.25413.194.75.2551,022
14813.194.76.0/2213.194.76.1 to 13.194.79.25413.194.79.2551,022
14913.194.80.0/2213.194.80.1 to 13.194.83.25413.194.83.2551,022
15013.194.84.0/2213.194.84.1 to 13.194.87.25413.194.87.2551,022
15113.194.88.0/2213.194.88.1 to 13.194.91.25413.194.91.2551,022
15213.194.92.0/2213.194.92.1 to 13.194.95.25413.194.95.2551,022
15313.194.96.0/2213.194.96.1 to 13.194.99.25413.194.99.2551,022
15413.194.100.0/2213.194.100.1 to 13.194.103.25413.194.103.2551,022
15513.194.104.0/2213.194.104.1 to 13.194.107.25413.194.107.2551,022
15613.194.108.0/2213.194.108.1 to 13.194.111.25413.194.111.2551,022
15713.194.112.0/2213.194.112.1 to 13.194.115.25413.194.115.2551,022
15813.194.116.0/2213.194.116.1 to 13.194.119.25413.194.119.2551,022
15913.194.120.0/2213.194.120.1 to 13.194.123.25413.194.123.2551,022
16013.194.124.0/2213.194.124.1 to 13.194.127.25413.194.127.2551,022
16113.194.128.0/2213.194.128.1 to 13.194.131.25413.194.131.2551,022
16213.194.132.0/2213.194.132.1 to 13.194.135.25413.194.135.2551,022
16313.194.136.0/2213.194.136.1 to 13.194.139.25413.194.139.2551,022
16413.194.140.0/2213.194.140.1 to 13.194.143.25413.194.143.2551,022
16513.194.144.0/2213.194.144.1 to 13.194.147.25413.194.147.2551,022
16613.194.148.0/2213.194.148.1 to 13.194.151.25413.194.151.2551,022
16713.194.152.0/2213.194.152.1 to 13.194.155.25413.194.155.2551,022
16813.194.156.0/2213.194.156.1 to 13.194.159.25413.194.159.2551,022
16913.194.160.0/2213.194.160.1 to 13.194.163.25413.194.163.2551,022
17013.194.164.0/2213.194.164.1 to 13.194.167.25413.194.167.2551,022
17113.194.168.0/2213.194.168.1 to 13.194.171.25413.194.171.2551,022
17213.194.172.0/2213.194.172.1 to 13.194.175.25413.194.175.2551,022
17313.194.176.0/2213.194.176.1 to 13.194.179.25413.194.179.2551,022
17413.194.180.0/2213.194.180.1 to 13.194.183.25413.194.183.2551,022
17513.194.184.0/2213.194.184.1 to 13.194.187.25413.194.187.2551,022
17613.194.188.0/2213.194.188.1 to 13.194.191.25413.194.191.2551,022
17713.194.192.0/2213.194.192.1 to 13.194.195.25413.194.195.2551,022
17813.194.196.0/2213.194.196.1 to 13.194.199.25413.194.199.2551,022
17913.194.200.0/2213.194.200.1 to 13.194.203.25413.194.203.2551,022
18013.194.204.0/2213.194.204.1 to 13.194.207.25413.194.207.2551,022
18113.194.208.0/2213.194.208.1 to 13.194.211.25413.194.211.2551,022
18213.194.212.0/2213.194.212.1 to 13.194.215.25413.194.215.2551,022
18313.194.216.0/2213.194.216.1 to 13.194.219.25413.194.219.2551,022
18413.194.220.0/2213.194.220.1 to 13.194.223.25413.194.223.2551,022
18513.194.224.0/2213.194.224.1 to 13.194.227.25413.194.227.2551,022
18613.194.228.0/2213.194.228.1 to 13.194.231.25413.194.231.2551,022
18713.194.232.0/2213.194.232.1 to 13.194.235.25413.194.235.2551,022
18813.194.236.0/2213.194.236.1 to 13.194.239.25413.194.239.2551,022
18913.194.240.0/2213.194.240.1 to 13.194.243.25413.194.243.2551,022
19013.194.244.0/2213.194.244.1 to 13.194.247.25413.194.247.2551,022
19113.194.248.0/2213.194.248.1 to 13.194.251.25413.194.251.2551,022
19213.194.252.0/2213.194.252.1 to 13.194.255.25413.194.255.2551,022
19313.195.0.0/2213.195.0.1 to 13.195.3.25413.195.3.2551,022
19413.195.4.0/2213.195.4.1 to 13.195.7.25413.195.7.2551,022
19513.195.8.0/2213.195.8.1 to 13.195.11.25413.195.11.2551,022
19613.195.12.0/2213.195.12.1 to 13.195.15.25413.195.15.2551,022
19713.195.16.0/2213.195.16.1 to 13.195.19.25413.195.19.2551,022
19813.195.20.0/2213.195.20.1 to 13.195.23.25413.195.23.2551,022
19913.195.24.0/2213.195.24.1 to 13.195.27.25413.195.27.2551,022
20013.195.28.0/2213.195.28.1 to 13.195.31.25413.195.31.2551,022
20113.195.32.0/2213.195.32.1 to 13.195.35.25413.195.35.2551,022
20213.195.36.0/2213.195.36.1 to 13.195.39.25413.195.39.2551,022
20313.195.40.0/2213.195.40.1 to 13.195.43.25413.195.43.2551,022
20413.195.44.0/2213.195.44.1 to 13.195.47.25413.195.47.2551,022
20513.195.48.0/2213.195.48.1 to 13.195.51.25413.195.51.2551,022
20613.195.52.0/2213.195.52.1 to 13.195.55.25413.195.55.2551,022
20713.195.56.0/2213.195.56.1 to 13.195.59.25413.195.59.2551,022
20813.195.60.0/2213.195.60.1 to 13.195.63.25413.195.63.2551,022
20913.195.64.0/2213.195.64.1 to 13.195.67.25413.195.67.2551,022
21013.195.68.0/2213.195.68.1 to 13.195.71.25413.195.71.2551,022
21113.195.72.0/2213.195.72.1 to 13.195.75.25413.195.75.2551,022
21213.195.76.0/2213.195.76.1 to 13.195.79.25413.195.79.2551,022
21313.195.80.0/2213.195.80.1 to 13.195.83.25413.195.83.2551,022
21413.195.84.0/2213.195.84.1 to 13.195.87.25413.195.87.2551,022
21513.195.88.0/2213.195.88.1 to 13.195.91.25413.195.91.2551,022
21613.195.92.0/2213.195.92.1 to 13.195.95.25413.195.95.2551,022
21713.195.96.0/2213.195.96.1 to 13.195.99.25413.195.99.2551,022
21813.195.100.0/2213.195.100.1 to 13.195.103.25413.195.103.2551,022
21913.195.104.0/2213.195.104.1 to 13.195.107.25413.195.107.2551,022
22013.195.108.0/2213.195.108.1 to 13.195.111.25413.195.111.2551,022
22113.195.112.0/2213.195.112.1 to 13.195.115.25413.195.115.2551,022
22213.195.116.0/2213.195.116.1 to 13.195.119.25413.195.119.2551,022
22313.195.120.0/2213.195.120.1 to 13.195.123.25413.195.123.2551,022
22413.195.124.0/2213.195.124.1 to 13.195.127.25413.195.127.2551,022
22513.195.128.0/2213.195.128.1 to 13.195.131.25413.195.131.2551,022
22613.195.132.0/2213.195.132.1 to 13.195.135.25413.195.135.2551,022
22713.195.136.0/2213.195.136.1 to 13.195.139.25413.195.139.2551,022
22813.195.140.0/2213.195.140.1 to 13.195.143.25413.195.143.2551,022
22913.195.144.0/2213.195.144.1 to 13.195.147.25413.195.147.2551,022
23013.195.148.0/2213.195.148.1 to 13.195.151.25413.195.151.2551,022
23113.195.152.0/2213.195.152.1 to 13.195.155.25413.195.155.2551,022
23213.195.156.0/2213.195.156.1 to 13.195.159.25413.195.159.2551,022
23313.195.160.0/2213.195.160.1 to 13.195.163.25413.195.163.2551,022
23413.195.164.0/2213.195.164.1 to 13.195.167.25413.195.167.2551,022
23513.195.168.0/2213.195.168.1 to 13.195.171.25413.195.171.2551,022
23613.195.172.0/2213.195.172.1 to 13.195.175.25413.195.175.2551,022
23713.195.176.0/2213.195.176.1 to 13.195.179.25413.195.179.2551,022
23813.195.180.0/2213.195.180.1 to 13.195.183.25413.195.183.2551,022
23913.195.184.0/2213.195.184.1 to 13.195.187.25413.195.187.2551,022
24013.195.188.0/2213.195.188.1 to 13.195.191.25413.195.191.2551,022
24113.195.192.0/2213.195.192.1 to 13.195.195.25413.195.195.2551,022
24213.195.196.0/2213.195.196.1 to 13.195.199.25413.195.199.2551,022
24313.195.200.0/2213.195.200.1 to 13.195.203.25413.195.203.2551,022
24413.195.204.0/2213.195.204.1 to 13.195.207.25413.195.207.2551,022
24513.195.208.0/2213.195.208.1 to 13.195.211.25413.195.211.2551,022
24613.195.212.0/2213.195.212.1 to 13.195.215.25413.195.215.2551,022
24713.195.216.0/2213.195.216.1 to 13.195.219.25413.195.219.2551,022
24813.195.220.0/2213.195.220.1 to 13.195.223.25413.195.223.2551,022
24913.195.224.0/2213.195.224.1 to 13.195.227.25413.195.227.2551,022
25013.195.228.0/2213.195.228.1 to 13.195.231.25413.195.231.2551,022
25113.195.232.0/2213.195.232.1 to 13.195.235.25413.195.235.2551,022
25213.195.236.0/2213.195.236.1 to 13.195.239.25413.195.239.2551,022
25313.195.240.0/2213.195.240.1 to 13.195.243.25413.195.243.2551,022
25413.195.244.0/2213.195.244.1 to 13.195.247.25413.195.247.2551,022
25513.195.248.0/2213.195.248.1 to 13.195.251.25413.195.251.2551,022
25613.195.252.0/2213.195.252.1 to 13.195.255.25413.195.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses